//Rodolphe Toin
//EC Projet anticipé 5: Carte contrôleur de matrice de LEDs

#include "stdio.h"
#include "SPI.h"
#include <stdint.h>
#include <avr/io.h>
#include <avr/interrupt.h> 
#include <util/delay.h> 

uint8_t data;

uint8_t spi_transfert(uint8_t data)
{
  SPDR = data;                    // Démarre la transmission
  while (!(SPSR & (1<<SPIF)))     // Attend la fin de la transmission
  {
  };
  return SPDR;
}

void setup() {
  // declare MISO comme entrée
  DDRB &= ~(1<<PB4);

  //declare respectivement CS, MOSI et SCK comme sorties
  DDRB |= (1<<PB2)|(1<<PB3)|(1<<PB5);

  //declaration du SPI Control Register 
  //SPE à 1 active la connexion SPI, MSTR à 1 la paramètre en master
  //SPR1 et SPR0 à 1 permettent de diviser la fréquence de la clock issue du quartz par 128 (on aura donc SCK= 16MHz/128 = 125kHz)
  SPCR |= (1<<SPE)|(1<<MSTR)|(1<<SPR1)|(1<<SPR0);

}

void loop() {

  data = 0xF8;
  spi_transfert(data);
  
}
